Package org.eclipse.cdt.core.build

## Class CBuilder

- java.lang.Object
- - org.eclipse.core.internal.events.InternalBuilder
  - - org.eclipse.core.resources.IncrementalProjectBuilder
    - - org.eclipse.cdt.core.build.CBuilder

All Implemented Interfaces:
  `org.eclipse.core.runtime.IExecutableExtension`

    public class CBuilder
    extends org.eclipse.core.resources.IncrementalProjectBuilder

Since:
  6.0

### Field Summary

### Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder

`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

### Constructor Summary

Constructors
`CBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected org.eclipse.core.resources.IProject[]` `build​(int kind, Map<String,​String> args, org.eclipse.core.runtime.IProgressMonitor monitor)`
`protected void` `clean​(org.eclipse.core.runtime.IProgressMonitor monitor)`
`static void` `setupBuilder​(org.eclipse.core.resources.ICommand command)`

### Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder

`forgetLastBuiltState, getBuildConfig, getCommand, getContext, getDelta, getProject, getRule, hasBeenBuilt, isInterrupted, needRebuild, rememberLastBuiltState, setInitializationData, startupOnInitialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CBuilder

    public CBuilder()

### Method Detail

#### setupBuilder

    public static void setupBuilder​(org.eclipse.core.resources.ICommand command)

#### build

    protected org.eclipse.core.resources.IProject[] build​(int kind,
                                                          Map<String,​String> args,
                                                          org.eclipse.core.runtime.IProgressMonitor monitor)
                                                   throws org.eclipse.core.runtime.CoreException

Specified by:
  `build` in class `org.eclipse.core.resources.IncrementalProjectBuilder`
Throws:
  `org.eclipse.core.runtime.CoreException`

#### clean

    protected void clean​(org.eclipse.core.runtime.IProgressMonitor monitor)
                  throws org.eclipse.core.runtime.CoreException

Overrides:
  `clean` in class `org.eclipse.core.resources.IncrementalProjectBuilder`
Throws:
  `org.eclipse.core.runtime.CoreException`